﻿using System;
using System.Threading;
using ZylSoft.Serial;

namespace CoreTest
{
    class Program
    {
        static void Main(string[] args)
        {            
            SerialPort port = new SerialPort();
            port.Received += new System.EventHandler<ZylSoft.Serial.DataEventArgs>(Program.port_Received);
            port.Interval = 1000;

            port.Port = SerialCommPort.COM2;
            port.BaudRate = SerialBaudRate.Br004800;
            port.AutoReceive = true;
            Console.WriteLine("Press enter to open " + port.Port.ToString() + ", baud rate " + Convert.ToInt32(port.BaudRate).ToString());
            Console.ReadLine();
            if (!port.Open())
            {                                
                Console.WriteLine("Cannot open " + port.Port.ToString());
                Thread.Sleep(5000);
                return;
            }
            else
            {
                bool eventFired = false;
                while (!eventFired) { }
                port.Close();
            }
        }

        private static void port_Received(object sender, ZylSoft.Serial.DataEventArgs e)
        {
            Console.WriteLine(SerialPort.AsciiByteArrayToString(e.Buffer));
        }
    }
}
